My java version is 1.6.0_11,too! It work fine with my browsers (either firefox or IE).
There is no error message! I do not know what might be the problem?